hpp-constraints: hpp::constraints::solver::saturation::Function Struct Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
hpp::constraints::solver::saturation::Function Struct Reference

saturation from a std::function. More...

`#include <hpp/constraints/solver/hierarchical-iterative.hh>`

Inheritance diagram for hpp::constraints::solver::saturation::Function:
[legend]
Collaboration diagram for hpp::constraints::solver::saturation::Function:
[legend]

## Public Types
typedef std::function< bool(vectorIn_t, vectorOut_t, Eigen::VectorXi &) | function_t)

## Public Member Functions
bool | saturate (vectorIn_t q, vectorOut_t qSat, Eigen::VectorXi &saturation)
| Function ()
| Function (const function_t &function)
Public Member Functions inherited from hpp::constraints::solver::saturation::Base
virtual | ~Base ()

## Public Attributes
function_t | function

## Detailed Description

saturation from a std::function.

## Member Typedef Documentation

## ◆ function_t

typedef std::function<bool(vectorIn_t, vectorOut_t, Eigen::VectorXi&) hpp::constraints::solver::saturation::Function::function_t)

## Constructor & Destructor Documentation

## ◆ Function() [1/2]

hpp::constraints::solver::saturation::Function::Function | ( |  | ) |
| inline

## ◆ Function() [2/2]

hpp::constraints::solver::saturation::Function::Function | ( | const function_t & | function | ) |
| inline

## Member Function Documentation

## ◆ saturate()

bool hpp::constraints::solver::saturation::Function::saturate | ( | vectorIn_t | q,
|  | vectorOut_t | qSat,
|  | Eigen::VectorXi & | saturation )
| inline virtual

This function checks which degrees of freedom are saturated.

Parameters

  q | a configuration,

Return values

  qSat | configuration after saturing values out of bounds
  saturation | vector: for each degree of freedom, saturation is set to -1 if the lower bound is reached, 1 if the upper bound is reached, 0 otherwise.

Returns
  true if and only if at least one degree of freedom has been saturated

Reimplemented from hpp::constraints::solver::saturation::Base.

## Member Data Documentation

## ◆ function

function_t hpp::constraints::solver::saturation::Function::function

The documentation for this struct was generated from the following file:

- include/hpp/constraints/solver/hierarchical-iterative.hh